import myMxFactory from "./";

const Mx = myMxFactory({
    mxBasePath: "/mxgraph-base",
    mxImageBasePath: "/mxgraph-base/images",
});

// 重命名后导出
export const MxClient = Mx.mxClient;
export const MxLog = Mx.mxLog;
export const MxObjectIdentity = Mx.mxObjectIdentity;
export const MxDictionary = Mx.mxDictionary;
export const MxResources = Mx.mxResources;
export const MxPoint = Mx.mxPoint;
export const MxRectangle = Mx.mxRectangle;
export const MxEffects = Mx.mxEffects;
export const MxUtils = Mx.mxUtils;
export const MxConstants = Mx.mxConstants;
export const MxEventObject = Mx.mxEventObject;
export const MxMouseEvent = Mx.mxMouseEvent;
export const MxEventSource = Mx.mxEventSource;
export const MxEvent = Mx.mxEvent;
export const MxXmlRequest = Mx.mxXmlRequest;
export const MxClipboard = Mx.mxClipboard;
export const MxWindow = Mx.mxWindow;
export const MxForm = Mx.mxForm;
export const MxImage = Mx.mxImage;
export const MxDivResizer = Mx.mxDivResizer;
export const MxDragSource = Mx.mxDragSource;
export const MxToolbar = Mx.mxToolbar;
export const MxUndoableEdit = Mx.mxUndoableEdit;
export const MxUndoManager = Mx.mxUndoManager;
export const MxUrlConverter = Mx.mxUrlConverter;
export const MxPanningManager = Mx.mxPanningManager;
export const MxPopupMenu = Mx.mxPopupMenu;
export const MxAutoSaveManager = Mx.mxAutoSaveManager;
export const MxAnimation = Mx.mxAnimation;
export const MxMorphing = Mx.mxMorphing;
export const MxImageBundle = Mx.mxImageBundle;
export const MxImageExport = Mx.mxImageExport;
export const MxAbstractCanvas2D = Mx.mxAbstractCanvas2D;
export const MxXmlCanvas2D = Mx.mxXmlCanvas2D;
export const MxSvgCanvas2D = Mx.mxSvgCanvas2D;
export const MxVmlCanvas2D = Mx.mxVmlCanvas2D;
export const MxGuide = Mx.mxGuide;
export const MxShape = Mx.mxShape;
export const MxStencil = Mx.mxStencil;
export const MxStencilRegistry = Mx.mxStencilRegistry;
export const MxMarker = Mx.mxMarker;
export const MxActor = Mx.mxActor;
export const MxCloud = Mx.mxCloud;
export const MxRectangleShape = Mx.mxRectangleShape;
export const MxEllipse = Mx.mxEllipse;
export const MxDoubleEllipse = Mx.mxDoubleEllipse;
export const MxRhombus = Mx.mxRhombus;
export const MxPolyline = Mx.mxPolyline;
export const MxArrow = Mx.mxArrow;
export const MxArrowConnector = Mx.mxArrowConnector;
export const MxText = Mx.mxText;
export const MxTriangle = Mx.mxTriangle;
export const MxHexagon = Mx.mxHexagon;
export const MxLine = Mx.mxLine;
export const MxImageShape = Mx.mxImageShape;
export const MxLabel = Mx.mxLabel;
export const MxCylinder = Mx.mxCylinder;
export const MxConnector = Mx.mxConnector;
export const MxSwimlane = Mx.mxSwimlane;
export const MxGraphLayout = Mx.mxGraphLayout;
export const MxStackLayout = Mx.mxStackLayout;
export const MxPartitionLayout = Mx.mxPartitionLayout;
export const MxCompactTreeLayout = Mx.mxCompactTreeLayout;
export const MxRadialTreeLayout = Mx.mxRadialTreeLayout;
export const MxFastOrganicLayout = Mx.mxFastOrganicLayout;
export const MxCircleLayout = Mx.mxCircleLayout;
export const MxParallelEdgeLayout = Mx.mxParallelEdgeLayout;
export const MxCompositeLayout = Mx.mxCompositeLayout;
export const MxEdgeLabelLayout = Mx.mxEdgeLabelLayout;
export const MxGraphAbstractHierarchyCell = Mx.mxGraphAbstractHierarchyCell;
export const MxGraphHierarchyNode = Mx.mxGraphHierarchyNode;
export const MxGraphHierarchyEdge = Mx.mxGraphHierarchyEdge;
export const MxGraphHierarchyModel = Mx.mxGraphHierarchyModel;
export const MxSwimlaneModel = Mx.mxSwimlaneModel;
export const MxHierarchicalLayoutStage = Mx.mxHierarchicalLayoutStage;
export const MxMedianHybridCrossingReduction =
    Mx.mxMedianHybridCrossingReduction;
export const MxMinimumCycleRemover = Mx.mxMinimumCycleRemover;
export const MxCoordinateAssignment = Mx.mxCoordinateAssignment;
export const MxSwimlaneOrdering = Mx.mxSwimlaneOrdering;
export const MxHierarchicalLayout = Mx.mxHierarchicalLayout;
export const MxSwimlaneLayout = Mx.mxSwimlaneLayout;
export const MxGraphModel = Mx.mxGraphModel;
export const MxCell = Mx.mxCell;
export const MxGeometry = Mx.mxGeometry;
export const MxCellPath = Mx.mxCellPath;
export const MxPerimeter = Mx.mxPerimeter;
export const MxPrintPreview = Mx.mxPrintPreview;
export const MxStylesheet = Mx.mxStylesheet;
export const MxCellState = Mx.mxCellState;
export const MxGraphSelectionModel = Mx.mxGraphSelectionModel;
export const MxCellEditor = Mx.mxCellEditor;
export const MxCellRenderer = Mx.mxCellRenderer;
export const MxEdgeStyle = Mx.mxEdgeStyle;
export const MxStyleRegistry = Mx.mxStyleRegistry;
export const MxGraphView = Mx.mxGraphView;
export const MxGraph = Mx.mxGraph;
export const MxCellOverlay = Mx.mxCellOverlay;
export const MxOutline = Mx.mxOutline;
export const MxMultiplicity = Mx.mxMultiplicity;
export const MxLayoutManager = Mx.mxLayoutManager;
export const MxSwimlaneManager = Mx.mxSwimlaneManager;
export const MxTemporaryCellStates = Mx.mxTemporaryCellStates;
export const MxCellStatePreview = Mx.mxCellStatePreview;
export const MxConnectionConstraint = Mx.mxConnectionConstraint;
export const MxGraphHandler = Mx.mxGraphHandler;
export const MxPanningHandler = Mx.mxPanningHandler;
export const MxPopupMenuHandler = Mx.mxPopupMenuHandler;
export const MxCellMarker = Mx.mxCellMarker;
export const MxSelectionCellsHandler = Mx.mxSelectionCellsHandler;
export const MxConnectionHandler = Mx.mxConnectionHandler;
export const MxConstraintHandler = Mx.mxConstraintHandler;
export const MxRubberband = Mx.mxRubberband;
export const MxHandle = Mx.mxHandle;
export const MxVertexHandler = Mx.mxVertexHandler;
export const MxEdgeHandler = Mx.mxEdgeHandler;
export const MxElbowEdgeHandler = Mx.mxElbowEdgeHandler;
export const MxEdgeSegmentHandler = Mx.mxEdgeSegmentHandler;
export const MxKeyHandler = Mx.mxKeyHandler;
export const MxTooltipHandler = Mx.mxTooltipHandler;
export const MxCellTracker = Mx.mxCellTracker;
export const MxCellHighlight = Mx.mxCellHighlight;
export const MxDefaultKeyHandler = Mx.mxDefaultKeyHandler;
export const MxDefaultPopupMenu = Mx.mxDefaultPopupMenu;
export const MxDefaultToolbar = Mx.mxDefaultToolbar;
export const MxEditor = Mx.mxEditor;
export const MxCodecRegistry = Mx.mxCodecRegistry;
export const MxCodec = Mx.mxCodec;
export const MxObjectCodec = Mx.mxObjectCodec;
export const MxCellCodec = Mx.mxObjectCodec;
export const MxModelCodec = Mx.mxObjectCodec;
export const MxRootChangeCodec = Mx.mxObjectCodec;
export const MxChildChangeCodec = Mx.mxObjectCodec;
export const MxTerminalChangeCodec = Mx.mxObjectCodec;
export const MxGenericChangeCodec = Mx.mxGenericChangeCodec;
export const MxGraphCodec = Mx.mxObjectCodec;
export const MxGraphViewCodec = Mx.mxObjectCodec;
export const MxStylesheetCodec = Mx.mxObjectCodec;
export const MxDefaultKeyHandlerCodec = Mx.mxObjectCodec;
export const MxDefaultToolbarCodec = Mx.mxObjectCodec;
export const MxDefaultPopupMenuCodec = Mx.mxObjectCodec;
export const MxEditorCodec = Mx.mxObjectCodec;
